Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593094 - Attachments should download under their original filenames (or something sane)
Summary: Attachments should download under their original filenames (or something sane)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: devel
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 19:44 UTC by Horst H. von Brand
Modified: 2013-06-24 02:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-19 05:28:32 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2010-05-17 19:44:55 UTC
Description of problem:
I filed a bug in Fedora, a patch to try was posted. I got said patch from Bugzilla (via wget(1)), but the filename is now "attachment.cgi?id=414470", not the original name.

Version-Release number of selected component (if applicable):
Whatever is handling Fedora bugs right now ;-)

How reproducible:
Always

Steps to Reproduce:
1. Go to a bug with an attachment, i.e. https://bugzilla.redhat.com/show_bug.cgi?id=590454
2. The patch is the second attachent here, "Details" tells me its name is
   0001-SKIP-BROKEN-fix-issue-where-the-loop-detection-are-t.patch, but gives
   no way to download it (just look at it). Going to the "Attachments" area
   again allows to see it, or get the URL for downloading (but not a
   reasonable filename)
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Fearn 🐞 2012-05-30 04:48:13 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 2 Jeff Fearn 🐞 2012-07-19 05:28:32 UTC
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.


Note You need to log in before you can comment on or make changes to this bug.